﻿/****************/
/* Betű típusok */
/****************/
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;600;700&display=swap');

html, body,
body *:not(i):not(.fa):not([class^="icon"]):not([class*=" icon"]) {
    font-family: 'Inter', sans-serif !important;
}

.category-item .content .title {
    word-break: break-word;
}


@media (min-width: 992px) {
    #mainMenu > li > ul > li > ul.-visible {
        display: none !important;
    }
}
/*

body, html {
    font-family: 'Inter', sans-serif !important;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Inter', sans-serif !important;
}

*/

.sublist.next-level .category.-hasSubmenu:hover > .sublist.next-level {
    display: block;
    position: absolute;
    left: 0%;
    top: 1.5rem;
    min-width: 200px;
    background: white;
    z-index: 999;
    box-shadow: 0 2px 10px rgba(0,0,0,0.15);
}

.sublist.next-level > .category.-hasSubmenu > .sublist.next-level {
    display: none;
}

/*******************/
/* Slider színezés */
/*******************/
.main-slider {
    height: 50dvh !important;
    background-color: var(--trans-bg) !important;
}

.product-box-slide .button .add-to-cart-button.btn.btn-outline-secondary {
    background-color: var(--accent-color) !important;
    color: white !important;
    border: none !important;
}

    .product-box-slide .button .add-to-cart-button.btn.btn-outline-secondary:hover {
        border: none !important;
    }

.product-box-slide .prices .actual-price {
    color: var(--accent-color) !important;
}

.swiper-pagination-bullet-active {
    background: var(--accent-color) !important;
}

.swiper-pagination-bullet:not(.swiper-pagination-bullet-active):hover {
    background: var(--accent-color) !important;
}


.Menu li > ul.gallery > li.-hasSubmenu > .next-level {
    box-shadow: none !important;
}

.text-info {
    color: var(--accent-color) !important;
}

.product-box .buttons {
    align-items: stretch !important;
}

    .product-box .buttons .btn:not(.add-to-cart-button) {
        height: auto !important;
    }


.has-szechenyi-margin {
    margin-bottom: 10rem !important;
}

.block-account-navigation ul li a.active, .block-account-navigation ul li a:hover {
    border-color: var(--accent-color) !important;
}




#sidebar-right {
    z-index: 9999 !important;
}

.navbar-brand {
    padding: 0 !important;
}

.page {
    margin: 15px auto 0 auto !important;
}

.product-box .prices::before, .product-box .prices::after {
    top: 1px !important;
}


.navbar-brand img {
    max-width: !important;
}

.register-button, .register-button:hover {
    color: white !important;
}

.b-sidebar-body > div:nth-of-type(2) .btn-secondary {
    background-color: white !important;
}

    .b-sidebar-body > div:nth-of-type(2) .btn-secondary:hover {
        background-color: white !important;
        border: 1px solid black !important;
    }



@media(max-width: 991px) {
    .gallery > .category > a > picture {
        display: none !important;
    }

    .szechenyi-doboz {
        top: 70px;
    }

        .szechenyi-doboz img {
            max-width: 33dvw !important;
        }

    .header-nav {
        background: var(--redgradient);
        /*
    background-image: url(https://agrotipp.hu/wp-content/uploads/pictures/honlap/F3AC804F-A10B-4C7D-9D9D-CE630C535414.jpeg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    */
    }

    #mainMenu > li.category > a:hover,
    #mainMenu > li.category:hover > a,
    #mainMenu > li.other-links a:hover {
        color: var(--accent-color) !important;
    }
}

@media(max-width: 767px) {
    .szechenyi-doboz img {
        max-width: 50dvw !important;
        max-height: 20dvh !important;
    }
}

.shoping-cart.table .btn {
    padding: 0.8rem 1rem;
}

/*****************/
/* Téma változók */
/*****************/
:root {
    --agro-tipp-red: #e20e23;
    --trans-red: #F2C8C8;
    --accent-color: var(--agro-tipp-red);
    --redgradient: linear-gradient(180deg,rgba(145, 9, 9, 1) 0%, rgba(227, 16, 16, 1) 20%, rgba(227, 16, 16, 1) 80%, rgba(145, 9, 9, 1) 100%);
    --trans-bg: var(--trans-red);
}

a {
    color: black !important;
}

    a:hover {
        color: var(--accent-color) !important;
    }

.text-gold {
    color: gold !important;
}

.bi-search {
    fill: black !important;
}

    .bi-search:hover {
        fill: white !important;
    }

#search-box .bi-search:hover {
    fill: var(--accent-color) !important;
}

.advanced-search-results .price {
    color: var(--accent-color) !important;
}

.gallery > .category > a > picture {
    height: 10rem !important;
    width: 100% !important;
}

    .gallery > .category > a > picture > img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }


#block-product-spec-filter {
    display: none !important;
}

#home-page {
    margin: auto !important;
}


.preloader {
    border: 0.2rem solid var(--accent-color) !important;
}

    .preloader:before, .preloader:after {
        border-bottom: 0.2rem solid var(--accent-color) !important;
    }

.Menu .category a span {
    white-space: normal;
}

#gnsslider {
    height: 100vh;
    margin-right: -15px;
    margin-left: -15px;
    background-color: var(--trans-bg) !important;
}

    #gnsslider > div {
        height: 100% !important;
    }

    #gnsslider .footer {
        border-top: none !important;
    }

        #gnsslider .footer a.btn {
            color: var(--accent-color) !important;
        }

            #gnsslider .footer a.btn:hover {
                color: white !important;
            }

.grandnode-swiper .swiper-scrollbar.bar .swiper-scrollbar-drag {
    background: var(--accent-color) !important;
}

.carousel-control-next, .carousel-control-prev {
    width: 5%;
}

#GrandCarousel {
    margin-left: -15px;
    margin-right: -20px;
}


/*
#TwoColumns{
	width: 80% !important;
	padding-left: 10%;
}

/************/
/* Checkout */
/************/
.checkout-page .card-header {
    background: white !important;
}

.checkout-page .opc-header .card-header .btn-info.not-collapsed {
    color: var(--accent-color) !important;
    background: white !important;
    border: none !important;
}

.checkout-page .opc-header .card-header .btn-info {
    background: white !important;
    border: none !important;
}

.opc-totals {
    border: 2px solid var(--accent-color) !important;
}

    .opc-totals .qty-opc {
        background: var(--accent-color) !important;
    }

.checkout-data .buttons .btn-secondary {
    color: white !important;
    border: none !important;
}

    .checkout-data .buttons .btn-secondary:hover, .checkout-data .buttons .btn-secondary:active {
        color: white !important;
        border: none !important;
    }

.opc-header .card-header .btn-info.not-collapsed::after {
    background: var(--accent-color) !important;
}

#back-shipping_method, #back-payment_method, #back-payment_info, #new-back-confirm_order, #back-billing {
    color: white !important;
}

    #back-shipping_method:hover, #back-payment_method:hover, #back-payment_info:hover, #new-back-confirm_order:hover, #back-billing:hover {
        color: white !important;
        border: 1px solid black !important;
    }



/*****************/
/* Nyelvválasztó */
/*****************/
.btn-secondary:hover, .btn-secondary.focus, .btn-secondary:focus, .btn-secondary:not(:disabled):not(.disabled).active, .btn-secondary:not(:disabled):not(.disabled):active, .show > .btn-secondary.dropdown-toggle {
    background-color: black !important;
    border-color: var(--accent-color) !important;
}

.btn.dropdown-toggle + .dropdown-menu .dropdown-item:hover {
    background-color: black !important;
    border-color: var(--accent-color) !important;
}

.btn.dropdown-toggle + .dropdown-menu .dropdown-item {
    color: white !important;
}


/****************/
/* Termék Szűrő */
/****************/
/** szűrő törlés gomb **/
.clearAllfilters {
    background-color: var(--accent-color) !important;
    border-color: var(--accent-color) !important;
}
/** ár csúszka **/
.noUi-connect {
    background: var(--accent-color) !important;
}
/** Valuta név **/
.ajaxfilter-price-range-section .range-label {
    color: var(--accent-color) !important;
}
/** szűrő lista **/
#ajaxfilter-form > .selectedOptions > div > input {
    border: 1px solid #888 !important;
}

    #ajaxfilter-form > .selectedOptions > div > input:hover, #ajaxfilter-form > .selectedOptions > div > input:focus, #ajaxfilter-form > .selectedOptions > div > input:not(:disabled):not(.disabled):active {
        border: 1px solid var(--accent-color) !important;
        background: var(--accent-color) !important;
        color: white !important;
        text-decoration: none;
    }

.noUi-active {
    box-shadow: 0 0 0 2px var(--accent-color) !important;
}

.ajax-filter-section .square.active:not([style]) {
    background: var(--accent-color);
}


/*********/
/* Kosár */
/*********/
.prod-total, .product-unit-price {
    color: var(--accent-color) !important;
}

.custom-control-input:checked ~ .custom-control-label::before {
    border-color: var(--accent-color) !important;
    background-color: var(--accent-color) !important;
}

.shopping-cart-page .totals-inner {
    border: 2px solid var(--accent-color) !important;
}

.shopping-cart.table .btn {
    padding: .8rem 1rem;
}

#mainMenu {
    z-index: 11;
}

.header-bottom {
    z-index: 11;
}
/*
.header-bottom {
    position: relative; 
    z-index: 11 !important;
}

.header-bottom::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 0;
    width: 20rem;
    height: 20rem;
    background-image: url('https://gabor-pack.hu/wp-content/uploads/2024/03/infoblokk.jpg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: top left;
    z-index: 10;
    pointer-events: none;     
}

/**************/
/* Szűrő gomb */
/**************/
a.left-side-toggler, a.left-side-toggler:hover {
    color: white !important;
}

    a.left-side-toggler:active, a.left-side-toggler:focus, a.left-side-toggler:hover {
        border-color: var(--accent-color) !important;
    }

.left-side-toggler .inner span {
    background-color: var(--accent-color) !important;
}

/********************/
/* Kategória elemek */
/********************/
.category-item:hover {
    border-color: var(--accent-color) !important;
}

.swiper-slide > .category-item img {
    height: 100% !important;
    width: 100% !important;
    object-fit: fit;
}

#HomePageCategories .swiper-container > .swiper-wrapper > .swiper-slide > .category-item {
    height: 15rem !important;
}

#subcatslider > .swiper-container > .swiper-wrapper > .swiper-slide > .category-item {
    height: 15rem !important;
}

    #subcatslider > .swiper-container > .swiper-wrapper > .swiper-slide > .category-item > img {
        height: 60% !important;
    }

.product-details-page .qty-controls div.plus:hover::before, .product-details-page .qty-controls div.plus:hover::after, .product-details-page .qty-controls div.minus:hover::before {
    background: var(--accent-color) !important;
}

.btn-group > .add-to-wishlist:hover {
    color: var(--accent-color) !important;
}

.bg-teal {
    background: var(--accent-color) !important;
}

.add-to-wishlist-button:hover .icon-heart {
    color: var(--accent-color) !important;
}

.quick-view-button > .bi-search {
    fill: white !important;
}

.sidebar-cart .cart-button.btn-secondary {
    border-color: var(--accent-color) !important;
}

    .sidebar-cart .cart-button.btn-secondary:hover {
        background-color: var(--accent-color) !important;
    }

#sidebar-wishlist > .b-sidebar-footer .btn-secondary {
    color: white !important;
}

    #sidebar-wishlist > .b-sidebar-footer .btn-secondary:hover {
        background: var(--accent-color) !important;
    }

.b-toast {
    border-color: var(--accent-color) !important;
}

.btn-danger, .btn-danger:hover {
    color: white !important;
}

/*****************/
/* Termék kártya */
/*****************/
.product-box .other-buttons .btn.btn-outline-secondary:hover {
    border-color: var(--accent-color) !important;
}

.product-details-page .overview .actual-price {
    color: var(--accent-color) !important;
}

.swiper-button-next:hover:after, .swiper-button-prev:hover:after {
    background-color: var(--accent-color) !important;
}

.product-details-page .nav-tabs .nav-link.active::before {
    background: var(--accent-color) !important;
}

#ppslider > .swiper-container > .swiper-wrapper > .swiper-slide > .category-item > img {
    height: 100% !important;
}

.product-box.list .add-to-cart-button.btn.btn-outline-secondary {
    color: white !important;
    background: var(--accent-color) !important;
    border: 2px solid var(--accent-color) !important;
}

    .product-box.list .add-to-cart-button.btn.btn-outline-secondary:hover {
        color: var(--accent-color) !important;
        background: black !important;
        border: 2px solid black !important;
    }

.product-box.list .other-buttons .btn.btn-outline-secondary {
    color: white !important;
    background: black !important;
    border: 2px solid black !important;
}

    .product-box.list .other-buttons .btn.btn-outline-secondary:hover {
        color: var(--accent-color) !important;
        fill: var(--accent-color) !important;
    }

.list-button-container .other-buttons a {
    color: white !important;
}

    .list-button-container .other-buttons a:hover {
        color: var(--accent-color) !important;
        background: black !important;
    }

.product-box.list .other-buttons .quick-view-button .bi-search:hover {
    color: var(--accent-color) !important;
}

.viewmode-icon:hover > .list-icon > span, .viewmode-icon:active > .list-icon > span, .viewmode-icon:focus > .list-icon > span, .viewmode-icon.selected .list-icon span {
    background: var(--accent-color) !important;
}

#review-tab .btn, #review-tab .btn:hover {
    color: white !important;
}

.zoom-button:hover {
    border-color: var(--accent-color) !important;
}

.viewmode-icon:hover .grid-icon span::before, .viewmode-icon:hover .grid-icon span::after {
    background: var(--accent-color) !important;
}

.viewmode-icon.selected .grid-icon span::before, .viewmode-icon.selected .grid-icon span::after, .viewmode-icon.selected .list-icon span {
    background: var(--accent-color) !important;
}

.btn {
    font-size: .8rem !important;
}

/*********************/
/* Navigációs elemek */
/*********************/
.navbar-nav.top-header-items .nav-link {
    color: black !important;
}

.nav-item svg {
    color: black !important;
}

    .nav-item svg:hover {
        color: white !important;
    }

.b-sidebar-body .btn:hover svg {
    color: var(--accent-color) !important;
}

.navbar-nav.top-header-items .nav-link:hover {
    color: white !important;
}

#mainMenu > li.category > a {
    color: black !important;
}

.toast-body {
    background-color: white !important;
}

@media(min-width: 992px) {
    #mainMenu > li.category > a:hover, #mainMenu > li.other-links a:hover {
        color: white !important;
    }
    /* display:none; */
}

}
/*
#GrandCarousel{
	height: 20rem !important;  
}



/**********/
/* Gombok */
/**********/
.buttons > .btn > .bi-heart {
    fill: white !important;
}

.buttons > .btn:hover > .bi-heart {
    fill: var(--accent-color) !important;
}

.buttons > .btn > .bi-shuffle {
    fill: white !important;
}

.buttons > .btn:hover > .bi-shuffle {
    fill: var(--accent-color) !important;
}

.buttons > .add-to-cart-button {
    color: white !important;
    background-color: var(--accent-color) !important;
    border-color: var(--accent-color) !important;
}

    .buttons > .add-to-cart-button:hover {
        color: var(--accent-color) !important;
        background-color: black !important;
        border-color: black !important;
    }

.text-dark {
    color: var(--accent-color) !important;
}

.left-side-toggler .inner span {
    color: var(--accent-color) !important;
}

.product-details-page .add-to-cart-button.btn-info:focus, .product-details-page .add-to-cart-button.btn-info:active, .product-details-page .add-to-cart-button.btn-info:not(:disabled):not(.disabled):active:focus {
    background-color: var(--accent-color) !important;
    box-shadow: 0 0 0 0.2rem var(--accent-color) !important;
}

.product-details-page .add-to-cart-button.btn-info {
    background-color: var(--accent-color) !important;
    border: 1px solid var(--accent-color) !important;
}

.up-btn {
    background-color: var(--accent-color) !important;
    border: 1px solid white !important;
}

.btn-info {
    background-color: var(--accent-color) !important;
    border: 1px solid var(--accent-color) !important;
}

    .btn-info.focus, .btn-info:focus {
        box-shadow: 0 0 0 .2rem var(--accent-color) !important;
    }

.btn-outline-info {
    color: black !important;
    background-color: white !important;
    border: 1px solid var(--accent-color) !important;
}

    .btn-outline-info:hover {
        color: white !important;
        background-color: var(--accent-color) !important;
    }

.quick-view-button {
    color: white !important;
}

    .quick-view-button:hover {
        color: white !important;
        background-color: var(--accent-color) !important;
    }


/*********/
/* Hírek */
/*********/
.card-header .title a {
    color: var(--accent-color) !important;
}

.card-footer > a:hover {
    color: var(--accent-color) !important;
}

.post-news .date {
    color: var(--accent-color) !important;
}


/*********/
/* Képek */
/*********/
.category-item img {
    width: 100% !important;
    height: 100% !important;
    object-fit: cover !important;
}


/**********/
/* Kereső */
/**********/
.form-control:focus, .form-control:hover {
    border-color: var(--accent-color) !important;
}

#small-searchterms:hover, #small-searchterms:hover + .input-group-append .btn, #small-searchterms + .input-group-append .btn:hover {
    border-color: var(--accent-color) !important;
}


/**********/
/* Lábléc */
/**********/
.footer {
    background-color: black !important;
    border-top: 1px solid white !important;
}

.footer-bottom {
    border-top: 1px solid white !important;
}

.footer a, .footer a:hover, .footer, .footer-bottom {
    color: white !important;
}

    .footer a:hover {
        color: var(--accent-color) !important;
    }


/***********/
/*  Alert  */
/***********/
.alert-info {
    background-color: var(--trans-bg) !important;
    border-color: var(--accent-color) !important;
    color: var(--accent-color) !important;
}

#payment-method-block img {
    max-width: 4rem !important;
}


/********************/
/* Pályázati doboz  */
/********************/
.szechenyi-doboz {
    position: fixed;
    /* bottom: -15px; */
    right: -2px;
    /* border: 2px solid var(--accent-color); */
    /*z-index: 200 !important;*/
}

.szechenyi-close {
    position: absolute;
    bottom: -22px;
    right: -2px;
    background: var(--accent-color);
    color: #fff;
    border: 2px solid var(--accent-color);
    cursor: pointer;
    padding: 31px 10px 5px 5px;
    font-size: 16px;
    z-index: 199 !important;
    border-radius: 3px;
}

.szechenyi-doboz img {
    position: relative;
    max-width: 300px;
    background: transparent;
    z-index: 200 !important;
}


/********************/
/* Header Navigation*/
/********************/
.header-nav-container .header-bottom {
    background-color: transparent !important;
}

#header-nav-container {
    background: var(--redgradient);
    /*
    background-image: url(https://agrotipp.hu/wp-content/uploads/pictures/honlap/F3AC804F-A10B-4C7D-9D9D-CE630C535414.jpeg);
    background-size: cover;  
    background-position: center; 
    background-repeat: no-repeat;   */
}

.relation-table thead {
    background: var(--redgradient);
    /*
 	background-image: url(https://agrotipp.hu/wp-content/uploads/pictures/honlap/F3AC804F-A10B-4C7D-9D9D-CE630C535414.jpeg);
    background-size: cover;        
    background-position: center; 
    background-repeat: no-repeat;  */
}

    .relation-table thead th {
        font-weight: bold !important;
    }

.relation-table tbody tr:nth-child(even) {
    background-color: #EEEEEE;
}

.relation-table {
    width: 100%;
    table-layout: auto;
}

    .relation-table img {
        max-width: 100%;
        height: auto;
    }

    .relation-table tr, .relation-table th {
        border: 1px solid black !important;
        font-weight: normal;
        white-space: nowrap;
    }

.product-details-page .row:not(:has(.gallery)) > .px-0.col-md-5.col-lg-6.col-xl-7 {
    flex: 0 0 100% !important;
    max-width: 100% !important;
    order: 2;
}

.product-details-page .row:not(:has(.gallery)) > .overview.col-md-7.col-lg-6.col-xl-5 {
    flex: 0 0 100% !important;
    max-width: 100% !important;
    order: 1;
}

/* Legördülő menü konténer ne vágja le az alkategóriákat */
.Menu.-horizontal > ul > li > ul,
.Menu.-horizontal li.-hasSubmenu > ul {
    overflow: visible !important;
}

/* A 3. szintű menü pozícionálása */
.sublist.next-level {
    overflow: visible !important;
}

/* Főkonténer magasság ne korlátozza */
#mainMenu li.-hasSubmenu:hover > ul {
    overflow: visible !important;
    max-height: none !important;
}

.qv-title {
    margin: 10px 0px !important;
}

/*******************/
/* Egyedi oldalak  */
/*******************/
#ph-title {
    display: none !important;
}

.contact-page > .generalTitle {
    display: none !important;
}
